function PrevTeX(inputs)
%Last edited 3/2012 

%Puts all table codes from inputs into one .tex file: Tex/AllTabs.tex.
%Adds preamble and compiles the file using pdflatex (must be present in the
%system). Previews output in Acrobat (must be present in the system)
%
%inputs -   files with Tex code of tables {'Table4.txt';'Table1.txt'}
%           (ref. files generated by TabToTex function)
%========================================================================
%Lukasz Drozd

%create the output file
cd Tex
fid = fopen('AllTabs.tex','w');

%add preample to the output file 
fprintf(fid,'\\documentclass[12pt]{article} \n');
fprintf(fid,'\\usepackage{booktabs} \n');
fprintf(fid,'\\usepackage{rotating} \n');

fprintf(fid,'\\usepackage{amsmath} \n');
 
fprintf(fid,'\\usepackage{html} \n');
fprintf(fid,'\\usepackage{url} \n');
fprintf(fid,'\\usepackage{harvard} \n');

fprintf(fid,'\\usepackage[hang,flushmargin]{footmisc} \n');

fprintf(fid,'\\renewcommand{\\cite}{\\citeasnoun} \n');

fprintf(fid,'\\setlength{\\topmargin}{-0.25in} \n \\setlength{\\textheight}{9.1in} \n');
fprintf(fid,'\\setlength{\\oddsidemargin}{-0.20in} \n');
fprintf(fid,'\\setlength{\\evensidemargin}{-0.20in} \n \\setlength{\\textwidth}{6.5in} \n');

fprintf(fid,'\\newcommand{\\footnoteremember}[2]{\\footnote{#2}\\newcounter{#1}\\setcounter{#1}{\\value{footnote}}} \n');
fprintf(fid,'\\newcommand{\\footnoterecall}[1]{\\footnotemark[\\value{#1}]} \n');

fprintf(fid,'\\begin{document} \n');

fprintf(fid,'\\bibliographystyle{apsr} \n');

%separate tables from preamble
    fprintf(fid,'%% \n');
    fprintf(fid,'%%================================================================ \n');
    fprintf(fid,'%% \n');
    
%open sequentially files from inputs, and write to output file
cs=size(inputs);
for j=1:cs(1,2)
    tab=textread(char(inputs(j)),'%s','whitespaces','\r');
    cc =size(tab);
    for i=1:cc(1,1)
       fprintf(fid,'%s \n',char(tab(i)));
    end
    %separate from the next table
    fprintf(fid,'%% \n');
    fprintf(fid,'%%================================================================ \n');
    fprintf(fid,'%% \n');
    
end

%end {document}
fprintf(fid,'\\bibliography{References} \n');

fprintf(fid,'\\end{document} \n');
fclose(fid)

%run pdflatex
%open the .pdf file in Acrobat Reader

!pdflatex AllTabs.tex
!AllTabs.pdf

cd ..


